sc::CartesianIterCints Class Reference
Inheritance diagram for sc::CartesianIterCints:
[legend]
Collaboration diagram for sc::CartesianIterCints:
[legend]

## Public Member Functions

| CartesianIterCints (int l)
void | start ()
| Start the iteration.
void | next ()
| Move to the next Cartesian function.
| operator int ()
| Returns nonzero if the iterator currently hold valid data.
Public Member Functions inherited from sc::CartesianIter
| CartesianIter (int l)
| Initialize an iterator for the given angular momentum.
int | n ()
| Returns the number of Cartesian functions.
int | a ()
| Returns the exponent of x.
int | b ()
| Returns the exponent of y.
int | c ()
| Returns the exponent of z.
int | l ()
| Returns the angular momentum.
int | l (int i)
| Returns a() if i==0, b() if i==1, and c() if i==2.
int | bfn ()
| Returns the number of the current basis function within the shell. More...

## Additional Inherited Members

Protected Attributes inherited from sc::CartesianIter
int | a_
int | b_
int | c_
int | l_
int | bfn_

The documentation for this class was generated from the following file:

- cints/cartit.h